classification
Title: The "Help" button in IDLE's config dialog does not work
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: ZackerySpytz, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2019-12-14 22:01 by ZackerySpytz, last changed 2020-05-24 12:38 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17611 merged ZackerySpytz, 2019-12-14 22:06
PR 18136 merged miss-islington, 2020-01-23 03:54
PR 18137 merged miss-islington, 2020-01-23 03:55
Messages (6)
msg358408 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-12-14 22:01
When I click the button, I see a traceback.

Exception in Tkinter callback
Traceback (most recent call last):
  File "/home/lubuntu2/cpython/Lib/tkinter/__init__.py", line 1885, in __call__
    return self.func(*args)
  File "/home/lubuntu2/cpython/Lib/idlelib/configdialog.py", line 212, in help
    view_text(self, title='Help for IDLE preferences',
TypeError: view_text() got an unexpected keyword argument 'text'


It appears that this bug was introduced in bpo-37628 / 3221a63c692.
msg360536 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-01-23 03:54
New changeset 2e43b64c94e49f7133b9c26e84c9519935c49063 by Terry Jan Reedy (Zackery Spytz) in branch 'master':
bpo-39050: The Help button in IDLE's config menu works again (GH-17611)
https://github.com/python/cpython/commit/2e43b64c94e49f7133b9c26e84c9519935c49063
msg360537 - (view) Author: miss-islington (miss-islington) Date: 2020-01-23 04:11
New changeset ba83d1eb1c7b5e8eab17da364a6324b0b0e0932b by Miss Islington (bot) in branch '3.7':
bpo-39050: The Help button in IDLE's config menu works again (GH-17611)
https://github.com/python/cpython/commit/ba83d1eb1c7b5e8eab17da364a6324b0b0e0932b
msg360538 - (view) Author: miss-islington (miss-islington) Date: 2020-01-23 04:13
New changeset 3b7618809df647574e8aad4c2d869a1d55df147c by Miss Islington (bot) in branch '3.8':
bpo-39050: The Help button in IDLE's config menu works again (GH-17611)
https://github.com/python/cpython/commit/3b7618809df647574e8aad4c2d869a1d55df147c
msg363148 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2020-03-02 10:01
Terry, should this issue remain open?
msg369797 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-24 12:38
closed
History
Date User Action Args
2020-05-24 12:38:02terry.reedysetmessages: + msg369797
2020-03-02 12:36:28terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-03-02 10:01:59ZackerySpytzsetmessages: + msg363148
2020-01-23 04:13:33miss-islingtonsetmessages: + msg360538
2020-01-23 04:11:56miss-islingtonsetnosy: + miss-islington
messages: + msg360537
2020-01-23 03:55:32miss-islingtonsetpull_requests: + pull_request17523
2020-01-23 03:54:45miss-islingtonsetpull_requests: + pull_request17522
2020-01-23 03:54:33terry.reedysetmessages: + msg360536
2019-12-14 22:06:54ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17083
2019-12-14 22:01:41ZackerySpytzcreate